This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 66542 - Wrapper for BasicAuditTrail to improve efficiency in most cases
Wrapper for BasicAuditTrail to improve efficiency in most cases
Status: ASSIGNED
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs
Jon Orris
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 18:21 EDT by Michael Bryzek
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wrapper class for BasicAuditTrail (4.09 KB, text/plain)
2002-06-11 18:22 EDT, Michael Bryzek
no flags Details
More recent version of this file. Exposes the setCreationUser method. (4.90 KB, patch)
2002-07-16 12:59 EDT, Michael Bryzek
no flags Details | Diff

  None (edit)
Description Michael Bryzek 2002-06-11 18:21:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
Enhancement to ACS audit trails. The current BasicAuditTrail is retrieved every
time you retrieve an audited domain object. This is a lot of overhead as we
rarely actually use the auditing information.

The attached (hopefully!) class should drop right in to the
com.arsdigita.auditing package. The JavaDoc explains its usage which is
identical to the old usage for basic audit trail

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Added an audit trail using BasidAuditTrail
2. Retrieve an instance

	

Additional info:
Comment 1 Michael Bryzek 2002-06-11 18:22:38 EDT
Created attachment 60584 [details]
Wrapper class for BasicAuditTrail
Comment 2 Michael Bryzek 2002-07-16 12:59:52 EDT
Created attachment 65548 [details]
More recent version of this file. Exposes the setCreationUser method.

Note You need to log in before you can comment on or make changes to this bug.